Bug 437056 - libata can't read/write SanDisk 128MB FlashDisk PCMCIA ATA Flash disk - "no space on device"
libata can't read/write SanDisk 128MB FlashDisk PCMCIA ATA Flash disk - "no s...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Martuccelli
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-03-11 18:49 EDT by Charles R. Anderson
Modified: 2009-07-14 14:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:15:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
full dmesg, strace, and other info (78.12 KB, text/plain)
2008-03-11 18:49 EDT, Charles R. Anderson
no flags Details
from fc6: full dmesg and other info (41.37 KB, text/plain)
2008-03-11 19:35 EDT, Charles R. Anderson
no flags Details
20MB SanDisk PCMCIA tests with F8 (36.97 KB, text/plain)
2008-03-18 17:53 EDT, Charles R. Anderson
no flags Details
20MB SanDisk PCMCIA tests with F9 (92.90 KB, text/plain)
2008-03-18 17:54 EDT, Charles R. Anderson
no flags Details

  None (edit)
Description Charles R. Anderson 2008-03-11 18:49:25 EDT
Description of problem:

F9 can't write to SanDisk 128MB "FLASHDISK PCMCIA PC CARD ATA" flash disk. 
Errors out with "No space on device".  SCSI layer says "[sdb] READ CAPACITY
failed".  FC6 ide-cs driver works fine on this device.

Version-Release number of selected component (if applicable):
2.6.25-0.101.fc4.git3.fc9

How reproducible:
always

Steps to Reproduce:
1. insert card
2. dd if=file of=/dev/sdb
  
Actual results:

sh-3.2# dd if=install-media-8.4R3.3-domestic of=/dev/sdb bs=64k
dd: writing `/dev/sdb': No space left on device
1+0 records in
0+0 records out
0 bytes (0 B) copied, 0.0189887 s, 0.0 kB/s

sh-3.2# df if=install-media-8.4R3.3-domestic  of=/dev/sdb
dd: writing to `/dev/sdb': No space left on device
1+0 records in
0+0 records out
0 bytes (0 B) copied, 0.00171879 s, 0.0 kB/s

sh-3.2# dd if=install-media-8.4R3.3-domestic  of=/dev/sdb bs=512
dd: writing `/dev/sdb': No space left on device
1+0 records in
0+0 records out
0 bytes (0 B) copied, 0.00168185 s, 0.0 kB/s


Expected results:

PCMCIA ATA flash disks should work.

Additional info:

sh-3.2# pccardctl ident
Socket 0:
  product info: "SunDisk", "SDP", "5/3 0.6", ""
  manfid: 0x0045, 0x0401
  function: 0x4 (fixed disk), 9

sh-3.2# pccardctl status
Socket 0:
  5.0V 16-bit PC Card
  Subdevice 0 (function 0) bound to driver "pata_pcmcia"
  Subdevice 1 (function 0) [unbound]

sh-3.2# pccardctl info
PRODID_1="SunDisk"
PRODID_2="SDP"
PRODID_3="5/3 0.6"
PRODID_4=""
MANFID=0045,0401
FUNCID=4

sh-3.2# pccardctl ls
Socket 0 Bridge:   	[yenta_cardbus] 	(bus ID: 0000:15:00.0)
Socket 0 Device 0:	[pata_pcmcia]		(bus ID: 0.0)
Socket 0 Device 1:	[-- no driver --]	(bus ID: 0.1)

sh-3.2# cat /proc/scsi/scsi
Attached devices:
Host: scsi0 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: ST9160823AS      Rev: 3.CM
  Type:   Direct-Access                    ANSI  SCSI revision: 05
Host: scsi3 Channel: 00 Id: 00 Lun: 00
  Vendor: HL-DT-ST Model: DVDRAM GSA-U10N  Rev: 1.05
  Type:   CD-ROM                           ANSI  SCSI revision: 05
Host: scsi5 Channel: 00 Id: 00 Lun: 00
  Vendor: ATA      Model: SanDisk SDP3B-12 Rev: Vdg 
  Type:   Direct-Access                    ANSI  SCSI revision: 05

sh-3.2# lsscsi
[0:0:0:0]    disk    ATA      ST9160823AS      3.CM  -       
[3:0:0:0]    cd/dvd  HL-DT-ST DVDRAM GSA-U10N  1.05  -       
[5:0:0:0]    disk    ATA      SanDisk SDP3B-12 Vdg   -       

sh-3.2# lsscsi -v
[0:0:0:0]    disk    ATA      ST9160823AS      3.CM  -       
  dir: /sys/bus/scsi/devices/0:0:0:0 
[/sys/devices/pci0000:00/0000:00:1f.2/host0/target0:0:0/0:0:0:0]
[3:0:0:0]    cd/dvd  HL-DT-ST DVDRAM GSA-U10N  1.05  -       
  dir: /sys/bus/scsi/devices/3:0:0:0 
[/sys/devices/pci0000:00/0000:00:1f.1/host3/target3:0:0/3:0:0:0]
[5:0:0:0]    disk    ATA      SanDisk SDP3B-12 Vdg   -       
  dir: /sys/bus/scsi/devices/5:0:0:0 
[/sys/devices/pci0000:00/0000:00:1e.0/0000:15:00.0/0.0/host5/target5:0:0/5:0:0:0]
sh-3.2# hdparm -i /dev/sdb

/dev/sdb:
 HDIO_GET_IDENTITY failed: No message of desired type

sh-3.2# hdparm -I /dev/sdb

/dev/sdb:
 HDIO_DRIVE_CMD(identify) failed: Input/output error

sh-3.2# sdparm -i /dev/sdb
unable to access /dev/sdb, ATA disk?

sh-3.2# sdparm -a /dev/sdb
unable to access /dev/sdb, ATA disk?

sh-3.2# hdparm -a /dev/sdb

/dev/sdb:
 readahead     = 256 (on)

sh-3.2# hdparm -a -vvv /dev/sdb

/dev/sdb:
 IO_support    =  0 (default) 
16-bit)
 HDIO_GET_UNMASKINTR failed: Inappropriate ioctl for device
 HDIO_GET_DMA failed: Inappropriate ioctl for device
 HDIO_GET_KEEPSETTINGS failed: Inappropriate ioctl for device
 readonly      =  0 (off)
 readahead     = 256 (on)
 geometry      = 0/255/63, sectors = 0, start = 0


dmesg excerpts:

pccard: PCMCIA card inserted into slot 0
cs: memory probe 0x0c0000-0x0fffff: excluding 0xc0000-0xd3fff 0xe0000-0xfffff
cs: memory probe 0x60000000-0x60ffffff: excluding 0x60000000-0x60ffffff
cs: memory probe 0xa0000000-0xa0ffffff: excluding 0xa0000000-0xa0ffffff
cs: memory probe 0xf4000000-0xf7ffffff: excluding 0xf4000000-0xf7ffffff
cs: memory probe 0xf8300000-0xfbffffff: excluding 0xf8300000-0xf86cffff
0xf8e70000-0xf923ffff 0xf9db0000-0xfa17ffff 0xfacf0000-0xfb0bffff
pcmcia: registering new device pcmcia0.0
scsi5 : pata_pcmcia
ata6: PATA max PIO0 cmd 0x7100 ctl 0x710e irq 16
ata6.00: CFA: SanDisk SDP3B-128, Vdg 1.21, max PIO4
ata6.00: 250880 sectors, multi 0: LBA 
ata6.00: configured for PIO0
ata6.00: configured for PIO0
ata6: EH complete
scsi 5:0:0:0: Direct-Access     ATA      SanDisk SDP3B-12 Vdg  PQ: 0 ANSI: 5
sd 5:0:0:0: [sdb] 250880 512-byte hardware sectors (128 MB)
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 5:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
sd 5:0:0:0: [sdb] 250880 512-byte hardware sectors (128 MB)
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 00 3a 00 00
sd 5:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
 sdb: sdb1 sdb2
 sdb: p1 exceeds device capacity
 sdb: p2 exceeds device capacity
sd 5:0:0:0: [sdb] Attached SCSI removable disk
sd 5:0:0:0: Attached scsi generic sg2 type 0
pcmcia: registering new device pcmcia0.1
0.1: GetNextTuple: No more items
pata_pcmcia: probe of 0.1 failed with error -12
0.1: GetNextTuple: No more items
pata_pcmcia: probe of 0.1 failed with error -12


sd 5:0:0:0: [sdb] READ CAPACITY failed
sd 5:0:0:0: [sdb] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
sd 5:0:0:0: [sdb] Sense not available.
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 00 00 00 00
sd 5:0:0:0: [sdb] Asking for cache data failed
sd 5:0:0:0: [sdb] Assuming drive cache: write through
Comment 1 Charles R. Anderson 2008-03-11 18:49:25 EDT
Created attachment 297682 [details]
full dmesg, strace, and other info
Comment 2 Charles R. Anderson 2008-03-11 18:50:33 EDT
Alan, do you have any suggestions here?  Thanks.
Comment 3 Charles R. Anderson 2008-03-11 19:05:12 EDT
Reading fails too:

sh-3.2# dd if=/dev/sdb of=/tmp/out
dd: reading `/dev/sdb': Input/output error
0+0 records in
0+0 records out
0 bytes (0 B) copied, 0.0133291 s, 0.0 kB/s

sh-3.2# dmesg | tail -50
sd 5:0:0:0: [sdb] Write cache: disabled, read cache: enabled, doesn't support
DPO or FUA
 sdb: sdb1 sdb2
sd 5:0:0:0: [sdb] Attached SCSI removable disk
sd 5:0:0:0: Attached scsi generic sg2 type 0
pcmcia: registering new device pcmcia0.1
0.1: GetNextTuple: No more items
pata_pcmcia: probe of 0.1 failed with error -12
modprobe used greatest stack depth: 2680 bytes left
0.1: GetNextTuple: No more items
pata_pcmcia: probe of 0.1 failed with error -12
ata6.00: exception Emask 0x0 SAct 0x0 SErr 0x0 action 0x2 frozen
ata6.00: cmd 20/00:20:50:01:00/00:00:00:00:00/e0 tag 0 pio 16384 in
         res 40/00:00:00:00:00/00:00:00:00:00/00 Emask 0x4 (timeout)
ata6.00: status: { DRDY }
ata6: soft resetting link
ata6.00: qc timeout (cmd 0xec)
ata6.00: failed to IDENTIFY (I/O error, err_mask=0x5)
ata6.00: revalidation failed (errno=-5)
ata6: failed to recover some devices, retrying in 5 secs
ata6: soft resetting link
ata6.00: qc timeout (cmd 0xec)
ata6.00: failed to IDENTIFY (I/O error, err_mask=0x5)
ata6.00: revalidation failed (errno=-5)
ata6: failed to recover some devices, retrying in 5 secs
ata6: soft resetting link
ata6.00: qc timeout (cmd 0xec)
ata6.00: failed to IDENTIFY (I/O error, err_mask=0x5)
ata6.00: revalidation failed (errno=-5)
ata6.00: disabled
ata6: soft resetting link
ata6: EH complete
sd 5:0:0:0: [sdb] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
end_request: I/O error, dev sdb, sector 336
Buffer I/O error on device sdb2, logical block 0
Buffer I/O error on device sdb2, logical block 1
Buffer I/O error on device sdb2, logical block 2
Buffer I/O error on device sdb2, logical block 3
Buffer I/O error on device sdb2, logical block 0
sd 5:0:0:0: [sdb] READ CAPACITY failed
sd 5:0:0:0: [sdb] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
sd 5:0:0:0: [sdb] Sense not available.
sd 5:0:0:0: [sdb] Write Protect is off
sd 5:0:0:0: [sdb] Mode Sense: 00 00 00 00
sd 5:0:0:0: [sdb] Asking for cache data failed
sd 5:0:0:0: [sdb] Assuming drive cache: write through
Buffer I/O error on device sdb1, logical block 0
Buffer I/O error on device sdb1, logical block 1
Buffer I/O error on device sdb1, logical block 2
Buffer I/O error on device sdb1, logical block 3
Buffer I/O error on device sdb1, logical block 0
Comment 4 Charles R. Anderson 2008-03-11 19:35:08 EDT
Created attachment 297688 [details]
from fc6: full dmesg and other info

Here is the output showing successful read/write on FC6 ide-cs driver.	The
data was verified to have been read/written correctly with sha1sum.
Comment 5 Alan Cox 2008-03-15 17:51:16 EDT
Do you happen to know if FC7 or FC8 worked with it ?
Comment 6 Charles R. Anderson 2008-03-18 17:53:39 EDT
Created attachment 298456 [details]
20MB SanDisk PCMCIA tests with F8

The 128MB SanDisk isn't available currently, so I tried a 20MB SanDisk PCMCIA
this time, and got similar results with F9.  I also tested with F8 and it
worked there, so this seems like a recent regression.  Here are the results
from F8.
Comment 7 Charles R. Anderson 2008-03-18 17:54:22 EDT
Created attachment 298457 [details]
20MB SanDisk PCMCIA tests with F9

Same tests on the 20MB SanDisk PCMCIA with F9 this time.
Comment 8 Charles R. Anderson 2008-04-04 11:02:04 EDT
Still there with 2.6.25-0.185.rc7.git6.fc9.x86_64.
Comment 9 Jon Stanley 2008-04-16 21:23:03 EDT
I don't think this is a blocker.  I'm stretching to think that PCMCIA flash is
common in anything other than Cisco routers.
Comment 10 Charles R. Anderson 2008-04-16 22:22:35 EDT
Fair enough.  The cards I'm using are actually from Juniper and Nortel
routers... This is a regression from F8, so I'm going to put this on F9Target.
Comment 11 Bug Zapper 2008-05-14 01:57:42 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Alan Cox 2008-06-10 11:50:59 EDT
Ok so broken on 25 ok on 23. What occurs with a 2.6.24 based Fedora kernel - I'm
trying to reduce the search space for causes.
Comment 13 Uno Engborg 2008-06-23 19:25:54 EDT
It looks like I have a similar problem with a Lexar PC card flash menmory
adapter on FC8 kernel 2.6.25.6-27.fc8 on my old Thinkpad 50e laptop. (A little
more common device than the CISCO routers mentioned above).

dmesg gives messages like:
sd 2:0:0:0: [sdb] Sense not available.
sd 2:0:0:0: [sdb] Write Protect is on
sd 2:0:0:0: [sdb] Mode Sense: dc 6d 34 ec
sd 2:0:0:0: [sdb] Asking for cache data failed
sd 2:0:0:0: [sdb] Assuming drive cache: write through
sd 2:0:0:0: [sdb] READ CAPACITY failed
sd 2:0:0:0: [sdb] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
sd 2:0:0:0: [sdb] Sense not available.
sd 2:0:0:0: [sdb] Write Protect is off
sd 2:0:0:0: [sdb] Mode Sense: 00 80 00 14
sd 2:0:0:0: [sdb] Asking for cache data failed
sd 2:0:0:0: [sdb] Assuming drive cache: write through
sd 2:0:0:0: [sdb] READ CAPACITY failed
sd 2:0:0:0: [sdb] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK
sd 2:0:0:0: [sdb] Sense not available.
sd 2:0:0:0: [sdb] Write Protect is off
sd 2:0:0:0: [sdb] Mode Sense: 00 80 00 14
sd 2:0:0:0: [sdb] Asking for cache data failed
sd 2:0:0:0: [sdb] Assuming drive cache: write through
pccard: card ejected from slot 0
sd 2:0:0:0: [sdb] Stopping disk
sd 2:0:0:0: [sdb] START_STOP FAILED
sd 2:0:0:0: [sdb] Result: hostbyte=DID_BAD_TARGET driverbyte=DRIVER_OK,SUGGEST_OK


It doesn't work in Fedora 9 either. I never tried Fedora 7, but it worked in FC6.

Comment 15 Charles R. Anderson 2009-01-28 10:14:48 EST
This problem has been resolved for me on F10.  I retested the 20MB and 128MB SanDisk PCMCIA cards, and they can be read/written fine under 2.6.27.
Comment 16 Bug Zapper 2009-06-09 19:43:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 17 Bug Zapper 2009-07-14 14:15:20 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.